import os

from setuptools import setup, find_packages

here = os.path.abspath(os.path.dirname(__file__))
with open(os.path.join(here, 'README.md')) as f:
    README = f.read()

requires = [
    'requests'
    ]

setup(
    name='s2watchdog',
    version='0.0.1',
    description='simple watchdog script for our deep freezer alert system',
    long_description=README,
    classifiers=[
        'Programming Language :: Python',
        'Environment :: Console',
        'Topic :: System :: Monitoring',
    ],
    author='Holger Frey',
    author_email='frey@imtek.de',
    url='https://git.cpi.imtek.uni-freiburg.de/holgi/s2watchdog',
    keywords='alerts',
    packages=find_packages(),
    include_package_data=True,
    zip_safe=False,
    install_requires=requires,
    entry_points={
        'console_scripts': [
            's2watchdog = s2watchdog:run',
            ],
        },
    )
